// pages/ucenter/purse/purse.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: {},
    isLogin: false
  },
  chargemony(e) {
    if(this.phoneCheck()){
      let url = "/pages/chargemoney/chargemoney";
      wx.navigateTo({
        url
      });
    }
  },

  phoneCheck(){
    let userInfo = wx.getStorageSync('userInfo');
    if (userInfo.bindingPhone==0) {
      wx.showModal({
        title: '提示',
        content: '当前账户未绑定手机号，请您进行手机号绑定操作',
        showCancel:false,
        confirmText: '去绑定',
        confirmColor:'#00AADD',
        success: function (res1) {
            let url = `/pages/bindPhone/bindPhone`;
            wx.navigateTo({
              url
            });
        }
      })
      return false;
    }else{
      return true;
    }
  },

  withdrawDeposit(e) {
    let url = "/pages/outmoney/outmoney";
    wx.navigateTo({
      url
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {
    let userInfo = wx.getStorageSync('userInfo');
    let isLogin = wx.getStorageSync('isLogin');
    let that = this;
    wx.request({
      url: getApp().globalData.postHeadAgreement +'/restapi/wechat/syncUser',
      data: {
        loginName: userInfo.loginName
      },
      method: 'POST',
      success: function(res) {
        let {
          data
        } = res;
        if (data.code && data.code != 200) {
          wx.removeStorageSync('userInfo');
          wx.removeStorageSync('isLogin');
          let url = '/pages/login/phone_login/phone_login';
          wx.redirectTo({
            url,
          });
        } else {
          that.setData({
            userInfo: data,
            isLogin: true
          });
          wx.setStorageSync('userInfo', data);
          wx.setStorageSync('isLogin', true);
        }
      },
      fail(e) {
        console.log("用户数据同步失败");
      }
    });
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  },
  /*跳转到充值卡 */
  gotochargemoneycard() {
    let url = `/pages/ucenter/chargemoneycard/chargemoneycard`;
    wx.navigateTo({
      url
    });
  },
  /*跳转到代金券 */
  gotocashcoupon() {
    let url = `/pages/ucenter/cashcoupon/cashcoupon`;
    wx.navigateTo({
      url
    });
  }
})